import { Aut, Cdt, Dbt, Ern, Soc, Usr } from "../typ.ts"

export type Pas = {
	usr: Usr["_id"],
	nam: Usr["nam"],
	cdt: (Cdt & { dbt: Dbt["amt"], ern: Ern["amt"] })[] | {
		agr: Soc["agr"], soc: Soc["_id"], nam: Soc["nam"]
	},
	sec: Soc["_id"][],
	aut: Aut["aut"],
	ban: Aut["ban"],
}
