import { bundle } from "https://deno.land/x/emit@0.40.0/mod.ts"

await Promise.all(Deno.args.map(async p => {
	const b = await bundle(`${p}.ts`)
	const c = b.code
	console.log(`emitting ${p}.js #${c.length}`)
	await Deno.writeTextFile(`${p}.js`, c)
}))
